package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.StaffRoleDepartmentMapper;
import com.lz.modules.flow.entity.StaffRoleDepartment;
import com.lz.modules.flow.service.StaffRoleDepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/

@Service
public class StaffRoleDepartmentServiceImpl extends ServiceImpl<StaffRoleDepartmentMapper, StaffRoleDepartment> implements StaffRoleDepartmentService {


    @Autowired
	private StaffRoleDepartmentMapper staffRoleDepartmentMapper;



	@Override
	public StaffRoleDepartment selectStaffRoleDepartmentById(Long id){
		return staffRoleDepartmentMapper.selectStaffRoleDepartmentById(id);
	}



	@Override
	public Long insertStaffRoleDepartment(StaffRoleDepartment staffRoleDepartment){
		return staffRoleDepartmentMapper.insertStaffRoleDepartment(staffRoleDepartment);
	}



	@Override
	public int updateStaffRoleDepartmentById(StaffRoleDepartment staffRoleDepartment){
		return staffRoleDepartmentMapper.updateStaffRoleDepartmentById(staffRoleDepartment);
	}



	@Override
	public int updateCoverStaffRoleDepartmentById(StaffRoleDepartment staffRoleDepartment){
		return staffRoleDepartmentMapper.updateCoverStaffRoleDepartmentById(staffRoleDepartment);
	}



	@Override
	public int deleteStaffRoleDepartmentById(Long id){
		return staffRoleDepartmentMapper.deleteStaffRoleDepartmentById(id);
	}





}
